# Class StructuredTaskScope.FailedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.concurrent.StructuredTaskScope.FailedException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `StructuredTaskScopePREVIEW<T,R>`

public static final class StructuredTaskScope.FailedException extends RuntimeException
`FailedException` is a preview API of the Java platform.
Programs can only use `FailedException` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Exception thrown by `StructuredTaskScope.join()`PREVIEW when the outcome is an exception rather than a result.

Since:
  25
See Also:
  - Serialized Form

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`